{% extends 'base.html.twig' %}

{% block body %}
    <div class="container mt-4">
        <table class="table" style="color: white !important;">
            <thead>
            <tr>
                <th></th>
                <th>TITRE</th>
                <th>PAYS</th>
                <th>ANNEE</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for piece in pieces %}
                <tr>
                    <td>{% if piece.namePicture %}
                            <img src="/images/pieces/{{ piece.namePicture }}" alt="pièce {{ piece.namePicture }}" style="width: 40px;">
                        {% endif %}
                    </td>
                    <td>{{ piece.titre }}</td>
                    <td>{{ piece.pays }}</td>
                    <td>{% if piece.date %}{{ piece.date|date('Y') }}{% endif %}</td>
                    <td style="text-align: right">
                        <a href="{{ path('piece_edit', {id: piece.id}) }}" class="btn btn-secondary" style="background-color: #b0b9a8;border-color: #868b75">Modifier</a>
                        <form method="post" action="{{ path('piece_delete', {id: piece.id}) }}" style="display: inline-block" onsubmit="return confirm('Êtes vous vraiment sur?')">
                            <input type="hidden" name="_method" value="DELETE">
                            <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ piece.id) }}">
                            <button class="btn btn-secondary" style="background-color: #434442;border-color: #434442">Supprimer</button>
                        </form>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}